denoise {EBImage} | R Documentation

## Blurring images

### Description

Blurs an image with ImageMagick functions.

### Usage

      blur(x, r=0, s=0.5)
      gblur(x, r=0, s=0.5)

### Arguments

`x` | An `Image` object or an array.
`r` | A numeric value for the radius of the pixel neighbourhood. The default value 0 enables automatic radius selection.
`s` | The standard deviation of the Gaussian filter used for blurring. For reasonable results, `r` must be larger than `s`.

### Details

`blur` uses an unspecified separable kernel. `gblur` uses a Gaussian kernel. The algorithms used by these ImageMagick functions are not well defined and hence, the usage of `filter2` is preferable to `blur` or `gblur`.

### Value

An `Image` object or an array, containing the blurred version of `x`.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2005-2007

### References

ImageMagick: http://www.imagemagick.org.

### See Also

`filter2`

### Examples

       x = readImage(system.file("images", "lena.gif", package="EBImage"))
       if (interactive()) display(x)

       y = blur(x, r=3, s=2)
       if (interactive()) display(y, title='blur(x, r=3, s=2)')

       y = gblur(x, r=3, s=2)
       if (interactive()) display(y, title='gblur(x, r=3, s=2)')

[Package EBImage version 3.0.5 Index]